com.impinj.stp

## Class StpApi.TIDMemory

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.TIDMemory

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TIDMemoryOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.TIDMemory
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.TIDMemoryOrBuilder

  Protobuf type `Impinj.STP.TIDMemory` Describes the TID memory of a tag.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.TIDMemory.Builder` Protobuf type `Impinj.STP.TIDMemory` Describes the TID memory of a tag.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DATA_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.TIDMemory>` | `PARSER`
    `static int` | `WORD_OFFSET_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getData()` The data to write to a tag.
    `static StpApi.TIDMemory` | `getDefaultInstance()`
    `StpApi.TIDMemory` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<StpApi.TIDMemory>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `int` | `getWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
    `boolean` | `hasData()` The data to write to a tag.
    `boolean` | `hasWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.TIDMemory.Builder` | `newBuilder()`
    `static StpApi.TIDMemory.Builder` | `newBuilder(StpApi.TIDMemory prototype)`
    `StpApi.TIDMemory.Builder` | `newBuilderForType()`
    `protected StpApi.TIDMemory.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.TIDMemory` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.TIDMemory` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.TIDMemory` | `parseFrom(byte[] data)`
    `static StpApi.TIDMemory` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.TIDMemory` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.TIDMemory` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.TIDMemory` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.TIDMemory` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.TIDMemory` | `parseFrom(java.io.InputStream input)`
    `static StpApi.TIDMemory` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TIDMemory.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.TIDMemory> PARSER

    - #### DATA_FIELD_NUMBER

          public static final int DATA_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### WORD_OFFSET_FIELD_NUMBER

          public static final int WORD_OFFSET_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.TIDMemory getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.TIDMemory getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.TIDMemory> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasData

          public boolean hasData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits
      Specified by:
        `hasData` in interface `StpApi.TIDMemoryOrBuilder`

    - #### getData

          public com.google.protobuf.ByteString getData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits
      Specified by:
        `getData` in interface `StpApi.TIDMemoryOrBuilder`

    - #### hasWordOffset

          public boolean hasWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
      Specified by:
        `hasWordOffset` in interface `StpApi.TIDMemoryOrBuilder`

    - #### getWordOffset

          public int getWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
      Specified by:
        `getWordOffset` in interface `StpApi.TIDMemoryOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(com.google.protobuf.ByteString data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(com.google.protobuf.ByteString data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(byte[] data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(byte[] data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(java.io.InputStream input)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(java.io.InputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.TIDMemory parseDelimitedFrom(java.io.InputStream input)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.TIDMemory parseDelimitedFrom(java.io.InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(com.google.protobuf.CodedInputStream input)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.TIDMemory parseFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.TIDMemory.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.TIDMemory.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.TIDMemory.Builder newBuilder(StpApi.TIDMemory prototype)

    - #### toBuilder

          public StpApi.TIDMemory.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.TIDMemory.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`